curl --request PATCH \
--url https://workspace.basaltic.sh/v1/organizations/{organization_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"captcha_token": "03AGdBq24...",
"language": "en",
"time_zone": "America/Sao_Paulo",
"name": "Acme Corporation",
"description": "Cloud infrastructure for Acme Corporation"
}
'import requests
url = "https://workspace.basaltic.sh/v1/organizations/{organization_id}"
payload = {
"captcha_token": "03AGdBq24...",
"language": "en",
"time_zone": "America/Sao_Paulo",
"name": "Acme Corporation",
"description": "Cloud infrastructure for Acme Corporation"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
captcha_token: '03AGdBq24...',
language: 'en',
time_zone: 'America/Sao_Paulo',
name: 'Acme Corporation',
description: 'Cloud infrastructure for Acme Corporation'
})
};
fetch('https://workspace.basaltic.sh/v1/organizations/{organization_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"organization": {
"language": "en",
"time_zone": "America/Sao_Paulo",
"id": "550e8400-e29b-41d4-a716-446655440000",
"name": "Acme Corporation",
"description": "Cloud infrastructure for Acme Corporation",
"owner_id": "550e8400-e29b-41d4-a716-446655440000",
"status": "active",
"suspension_reason": "billing",
"created_at": "2026-01-15T09:30:00Z",
"updated_at": "2026-01-16T14:20:00Z",
"crn": "crn:workspace:::organization/current"
}
}{
"error": {
"code": "INVALID_INPUT",
"message": "Invalid request parameters",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "Authentication required",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "ACCESS_DENIED",
"message": "You don't have permission to perform this action",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "NOT_FOUND",
"message": "Resource not found",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "INVALID_INPUT",
"message": "Invalid request parameters",
"request_id": "550e8400-e29b-41d4-a716-446655440000",
"params": {
"instances": 2,
"pools": 0
}
}
}{
"error": {
"code": "INTERNAL_ERROR",
"message": "An internal error occurred",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}Actualizar la organización
Actualizar una organización existente
workspace:UpdateOrganization. Consulte permisos de Workspace para obtener la lista completa, lo que cubre cada una y un ejemplo de política.Authorizations
Un token bearer de OAuth 2.0, enviado como Authorization: Bearer <token>. Esta es la forma recomendada de autenticación.
Obtén el token intercambiando el par de claves de acceso de una cuenta de servicio en POST /v1/oauth/token con grant_type=client_credentials. Es el flujo estándar de credenciales de cliente; las bibliotecas compatibles con OAuth pueden obtener y renovar el token por ti.
curl -s -u "$KEY_ID:$SECRET" -d grant_type=client_credentials \
https://iam.basaltic.sh/v1/oauth/token
Los tokens duran una hora por defecto. El mismo par de claves de acceso también sirve como credencial AWS SigV4 para el endpoint de objetos compatible con S3, que solo acepta ese método de autenticación.
Path Parameters
ID de la organización
Body
Google reCAPTCHA token para protección de bots
"03AGdBq24..."
Idioma para la facturación de la organización y los correos electrónicos operativos, independientemente de la preferencia de la consola de cada usuario.
en, pt-BR, es Zona horaria IANA para formatear correos electrónicos de la organización. No cambia los períodos de facturación ni las programaciones de recursos.
"America/Sao_Paulo"
1 - 255"Acme Corporation"
1000"Cloud infrastructure for Acme Corporation"
Response
Organización actualizada
Show child attributes
Show child attributes

